<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__set__data__length__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_set_data_length_info_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__set__data__length__info__t_1ad17645f6832df5c1e94272a1e62cd7db" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_set_data_length_info_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="532" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="532" />
      </memberdef>
      <memberdef id="structcy__stc__ble__set__data__length__info__t_1a76fa326033b6f408c8d7c1f0a4b8a304" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_set_data_length_info_t::connMaxTxOctets</definition>
        <argsstring />
        <name>connMaxTxOctets</name>
        <briefdescription>
<para>The maximum number of payload octets in a Link Layer Data Channel PDU that the local Controller will send on the current connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="537" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="537" />
      </memberdef>
      <memberdef id="structcy__stc__ble__set__data__length__info__t_1a03ded88ba48f101bcaa8419e3ce4aa31" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_set_data_length_info_t::connMaxTxTime</definition>
        <argsstring />
        <name>connMaxTxTime</name>
        <briefdescription>
<para>The maximum time, in microseconds, that the local Controller will take to send a Link Layer Data Channel PDU on the current connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="542" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="542" />
      </memberdef>
      <memberdef id="structcy__stc__ble__set__data__length__info__t_1abd4e6feea81a8af93e0a6822051b8f7a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_set_data_length_info_t::connMaxRxOctets</definition>
        <argsstring />
        <name>connMaxRxOctets</name>
        <briefdescription>
<para>The maximum number of payload octets in a Link Layer Data Channel PDU that the local Controller will receive on the current connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="547" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="547" />
      </memberdef>
      <memberdef id="structcy__stc__ble__set__data__length__info__t_1a02c32bfd9753ee9224d92b0de6a0880f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_set_data_length_info_t::connMaxRxTime</definition>
        <argsstring />
        <name>connMaxRxTime</name>
        <briefdescription>
<para>The maximum time, in microseconds, that the local Controller will take to receive a Link Layer Data Channel PDU on the current connection. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="552" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="552" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>DLE Set Data Length parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="554" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="529" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="530" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__set__data__length__info__t_1ad17645f6832df5c1e94272a1e62cd7db" virt="non-virtual"><scope>cy_stc_ble_set_data_length_info_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__set__data__length__info__t_1abd4e6feea81a8af93e0a6822051b8f7a" virt="non-virtual"><scope>cy_stc_ble_set_data_length_info_t</scope><name>connMaxRxOctets</name></member>
      <member prot="public" refid="structcy__stc__ble__set__data__length__info__t_1a02c32bfd9753ee9224d92b0de6a0880f" virt="non-virtual"><scope>cy_stc_ble_set_data_length_info_t</scope><name>connMaxRxTime</name></member>
      <member prot="public" refid="structcy__stc__ble__set__data__length__info__t_1a76fa326033b6f408c8d7c1f0a4b8a304" virt="non-virtual"><scope>cy_stc_ble_set_data_length_info_t</scope><name>connMaxTxOctets</name></member>
      <member prot="public" refid="structcy__stc__ble__set__data__length__info__t_1a03ded88ba48f101bcaa8419e3ce4aa31" virt="non-virtual"><scope>cy_stc_ble_set_data_length_info_t</scope><name>connMaxTxTime</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>